- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# profitbricks_volume_attachments – Attach or detach a volume

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Allows you to attach or detach a volume from a ProfitBricks server. This module has a dependency on profitbricks >= 1.0.0

## Requirements

The below requirements are needed on the host that executes this module.

- profitbricks

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
datacenter - / required |  | The datacenter in which to operate.
server - / required |  | The name of the server you wish to detach or attach the volume.
state - | Choices: present ← absent | Indicate desired state of the resource
subscription_password - |  | THe ProfitBricks password. Overrides the PB_PASSWORD environment variable.
subscription_user - |  | The ProfitBricks username. Overrides the PB_SUBSCRIPTION_ID environment variable.
volume - / required |  | The volume name or ID.
wait boolean | Choices: no yes ← | wait for the operation to complete before returning
wait_timeout - | Default: 600 | how long before wait gives up, in seconds

## Examples

    # Attach a Volume

    - profitbricks_volume_attachments:
        datacenter: Tardis One
        server: node002
        volume: vol01
        wait_timeout: 500
        state: present

    # Detach a Volume

    - profitbricks_volume_attachments:
        datacenter: Tardis One
        server: node002
        volume: vol01
        wait_timeout: 500
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Baldwin (@baldwinSPC) <baldwin@stackpointcloud.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.